package client.init;

import java.util.Map;

import client.renderer.texture.TextureTicked;
import client.renderer.ticked.TextureFlamesFX1;
import client.renderer.ticked.TextureFlamesFX2;
import client.renderer.ticked.TextureLavaFX;
import client.renderer.ticked.TextureLavaFlowFX;
import client.renderer.ticked.TextureWaterFX;
import client.renderer.ticked.TextureWaterFlowFX;

public abstract class AnimationRegistry {
	public static void registerAnimations(Map<String, Class<? extends TextureTicked>> anim) {
		anim.put("fire1", TextureFlamesFX1.class);
		anim.put("fire2", TextureFlamesFX2.class);
		anim.put("lavaflow", TextureLavaFlowFX.class);
		anim.put("lava", TextureLavaFX.class);
		anim.put("waterflow", TextureWaterFlowFX.class);
		anim.put("water", TextureWaterFX.class);
	}
}
